Bug 182997 - Remove stripping of unnecessary exports in .la file/neon-config
Summary: Remove stripping of unnecessary exports in .la file/neon-config
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: neon   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-25 02:06 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 13:26:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-02-25 02:06:09 UTC
Description of problem:
Joe, can you please remove the stripping of unnecessary exports in .la file/
neon-config soon again? This change breaks for example building of upstream rpm 
version 4.4.5-1 with uncountable undefined references to all libraries you 
removed in .la file/neon-config (e.g. -lssl -lkrb5*). I still guess, problems 
like this could (can?) be also reproducible with other packages.

Version-Release number of selected component (if applicable):
neon-0.25.5-1.2

How reproducible:
Everytime, try to rebuild upstream rpm 4.4.5-1 for example.

Expected results:
Remove stripping of unnecessary exports in .la file/neon-config again, please.

Comment 1 Robert Scheck 2006-03-22 21:19:26 UTC
At least the expected fix was committed nearly a month ago into cvs, but why
not build in Rawhide, yet? Time to break anything as Jeremy said at the mailing 
list ;-)

Comment 2 Robert Scheck 2006-05-12 21:34:33 UTC
Ping?

Comment 3 Joe Orton 2006-05-17 13:26:05 UTC
Mmm, sorry. -2 seems to have disappeared into the ether; rebuilt as -3.


Note You need to log in before you can comment on or make changes to this bug.